:root {
    --site-playlist-text-color: #666;
    --site-playlist-playing-item-text-color: rgb(119, 119, 119);
    --site-playlist-btn-play-text-color: var(--site-color-black);
    --site-playlist-btn-play-hover-text-color: #999;
}

.playlist .play-item .btn-play {
box-shadow: none;
outline: 0;
text-align: left;
}

.playlist .play-item-cover {
max-height: calc(100vh - 100px);
min-height: 300px;
overflow-y: auto;
}

.playlist .play-item {
    border-top: 1px solid rgba(0, 0, 0, 0.05);
}

.playlist .play-item:first-child {
    border-top: 0;
}

.playlist {
    color: var(--site-playlist-text-color);
}

.playlist audio {
    border: 1px solid #ddd;
}

.playlist .playing-item {
    color: var(--site-playlist-playing-item-text-color);
}

.playlist .play-item .btn-play {
    background: transparent;
    color: var(--site-playlist-btn-play-text-color);
}

.playlist .play-item-cover {
    background-color: #f9f9f9;
    border: 1px solid #ddd;
}

.playlist .play-item-cover .play-item:last-child .btn-play {
    border-bottom: 0;
}

.playlist .play-item .btn-play:hover {
    color: var(--site-playlist-btn-play-hover-text-color);
}

.playlist .play-item .btn-play.btn[disabled] {
    color: var(--site-playlist-btn-play-hover-text-color);
    opacity: 1;
}

.playlist .play-item a:hover {
    color: var(--site-playlist-btn-play-hover-text-color);
}
